#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang.detail_forensik'}
#{/set}

<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}" >&{'lelang.home'}</a></li>
    <li class="active">&{'lelang.rhs_forensik'}</li>
</ul>
<div class="content">
#{alert /}
    <table class="table table-sm table-striped" ">
        <tr>
            <th width="20">#</th>
            <th>N&{'lelang.nama_penyedia_barang_jasa'}</th>
            <th>&{'lelang.kode_tender'}</th>
            <th class="text-center">&{'lelang.rhs_harga'}</th>
            <th class="text-center">&{'lelang.rhs_teknis'}</th>
            <th class="text-center"></th>
        </tr>
    #{list items:rhsPermissionList, as:'rhs'}
        <tr>
            <td align="right">${rhs_index}</td>
            <td>${rhs?.peserta?.getNamaPeserta()}</td>
            <td>${rhs?.peserta?.lls_id} &nbsp; <span class="badge  badge-info">${rhs?.peserta?.lelang_seleksi?.getPemilihan().label}</span></td>
            <td class="text-center">
                <div class="btn-group">
                    <a #{if rhs?.rpn_allow_harga == 0} href="#" #{/if}
                        #{if rhs?.rpn_allow_harga == 1} href="@{lelang.LelangCtr.downloadRhs(rhs?.psr_id, 2)}" #{/if}
                                                       class="btn btn-secondary " #{if rhs?.rpn_allow_harga == 0} disabled="disabled" #{/if}>
                        <i class="fa fa-arrow-down"></i>&nbsp;RHS</a>

                    #{if rhs?.peserta?.lelang_seleksi?.getMetode()?.dokumen?.isSatuFile()}

                        <a #{if rhs?.rpn_allow_harga == 0} href="#" #{/if}
                            #{if rhs?.rpn_allow_harga == 1} href="@{lelang.LelangCtr.downloadPrivateKey(rhs?.psr_id, 3)}" #{/if}
                                                           class="btn btn-secondary " #{if rhs?.rpn_allow_harga == 0} disabled="disabled" #{/if}>
                            <i class="fa fa-arrow-down"></i>&nbsp;&{'lelang.private_key'}</a>

                    #{/if}

                    #{if !rhs?.peserta?.lelang_seleksi?.getMetode()?.dokumen?.isSatuFile()}
                        <a #{if rhs?.rpn_allow_harga == 0} href="#" #{/if}
                            #{if rhs?.rpn_allow_harga == 1} href="@{lelang.LelangCtr.downloadPrivateKey(rhs?.psr_id, 2)}" #{/if}
                                                           class="btn btn-secondary " #{if rhs?.rpn_allow_harga == 0} disabled="disabled" #{/if}>
                            <i class="fa fa-arrow-down"></i>&nbsp;&{'lelang.private_key'}</a>
                    #{/if}
                    <a #{if rhs?.rpn_allow_harga == 0} href="#" #{/if}
                        #{else} href="@{lelang.LelangCtr.downloadStruk(rhs?.psr_id, 2)}" #{/else}
                                                       class="btn btn-secondary " #{if rhs?.rpn_allow_harga == 0} disabled="disabled" #{/if}>
                        <i class="fa fa-arrow-down"></i>&nbsp;&{'lelang.struk'}</a>

                </div>
            </td>
            <td class="text-center">
                <div class="btn-group">
                    <a #{if rhs?.rpn_allow_teknis == 0} href="#" #{/if}
                        #{if rhs?.rpn_allow_teknis == 1} href="@{lelang.LelangCtr.downloadRhs(rhs?.psr_id, 1)}" #{/if}
                                                        class="btn btn-secondary " #{if rhs?.rpn_allow_teknis == 0} disabled="disabled" #{/if}>
                        <i class="fa fa-arrow-down"></i>&nbsp;RHS</a>

                    #{if rhs?.peserta?.lelang_seleksi?.getMetode()?.dokumen?.isSatuFile()}

                        <a #{if rhs?.rpn_allow_teknis == 0} href="#" #{/if}
                            #{if rhs?.rpn_allow_teknis == 1} href="@{lelang.LelangCtr.downloadPrivateKey(rhs?.psr_id, 3)}" #{/if}
                                                            class="btn btn-secondary " #{if rhs?.rpn_allow_teknis == 0} disabled="disabled" #{/if}>
                            <i class="fa fa-arrow-down"></i>&nbsp;&{'lelang.private_key'}</a>

                    #{/if}

                    #{if !rhs?.peserta?.lelang_seleksi?.getMetode()?.dokumen?.isSatuFile()}
                        <a #{if rhs?.rpn_allow_teknis == 0} href="#" #{/if}
                            #{if rhs?.rpn_allow_teknis == 1} href="@{lelang.LelangCtr.downloadPrivateKey(rhs?.psr_id, 1)}" #{/if}
                                                            class="btn btn-secondary " #{if rhs?.rpn_allow_teknis == 0} disabled="disabled" #{/if}>
                            <i class="fa fa-arrow-down"></i>&nbsp;&{'lelang.private_key'}</a>
                    #{/if}
                    <a #{if rhs?.rpn_allow_teknis == 0} href="#" #{/if}
                        #{else} href="@{lelang.LelangCtr.downloadStruk(rhs?.psr_id, 1)}" #{/else}
                                                       class="btn btn-secondary " #{if rhs?.rpn_allow_teknis == 0} disabled="disabled" #{/if}>
                        <i class="fa fa-arrow-down"></i>&nbsp;&{'lelang.struk'}</a>
                </div>
            </td>
        </tr>
    #{/list}
    </table>
#{backButton action:@lelang.LelangCtr.viewForensikRhs() /}
    *{<a class="btn btn-secondary " href="@{lelang.LelangCtr.sendRhsForensik(rhs?.peserta?.lls_id)}" onClick="return confirm('Apa Anda yakin untuk mengirim data ini?')" >}*
        *{<i class="fa fa-arrow-circle-up fa-fw"></i> Kirim Forensik}*
    *{</a>}*
</div>